=== po/Makefile ===
# Copyright (C) 2017-2018, 2024  Luke T. Shumaker <lukeshu@parabola.nu>
#
# SPDX-License-Identifier: GPL-2.0-or-later
#
# This file is part of Parabola Libretools.
#
# Libretools is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 2 of the License, or
# (at your option) any later version.
#
# Libretools is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

include $(dir $(lastword $(MAKEFILE_LIST)))/../config.mk
include $(topsrcdir)/build-aux/Makefile.head.mk

domains = $(filter-out all,$(libretools.groups))
locales := $(filter-out .,$(sort $(patsubst %/,%,$(dir $(files.src.src)))))

files.src.gen += $(addsuffix .pot,$(domains))
nested.subdirs += $(locales)

# Have the header include the version number
$(srcdir)/header.po.head: $(srcdir)/%: $(srcdir)/%.in
	@echo 'EDIT < $< > $@'; $(libretools.edit) < '$<' > '$@'
$(srcdir)/header.po.head: $(var.)PACKAGE $(var.)VERSION
files.src.int += header.po.head

# Rely on ../Makefile to fill in a list of our .pot dependencies
$(srcdir)/%.pot: $(srcdir)/header.po.head
	@echo 'MSGCAT $^ > $@';
	@{ \
		cd $(topsrcdir) && \
		for file in $(call at.relto,$(topsrcdir),$^); do \
			sed "/^#:/s, , $${file%/*}/,g" <"$$file"; \
		done; \
	} | msguniq -Fi > '$@'
at.subdirs += ..

$(outdir)/msgmerge:
.PHONY: $(outdir)/msgmerge
nested.targets += $(outdir)/msgmerge

include $(topsrcdir)/build-aux/Makefile.tail.mk
