=== src/devtools/Makefile ===
# Copyright (C) 2013, 2016-2018  Luke T. Shumaker <lukeshu@parabola.nu>
#
# SPDX-License-Identifier: GPL-2.0-or-later
#
# This file is part of Parabola Libretools.
#
# Libretools is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 2 of the License, or
# (at your option) any later version.
#
# Libretools is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

include $(dir $(lastword $(MAKEFILE_LIST)))/../../config.mk
include $(topsrcdir)/build-aux/Makefile.head.mk

libretools.out.bins     = checkpkg find-libdeps finddeps lddd
libretools.src.devtools = $(addsuffix .in,$(libretools.out.bins))
files.sys.libretools   += $(bindir)/find-libprovides

$(DESTDIR)$(bindir)/find-libprovides:
	$(MKDIR_P) $(@D)
	ln -sf find-libdeps $@

include $(topsrcdir)/build-aux/Makefile.tail.mk
