=== src/librefetch/Makefile ===
# Copyright (C) 2013, 2015-2018, 2024  Luke T. Shumaker <lukeshu@parabola.nu>
#
# SPDX-License-Identifier: GPL-2.0-or-later
#
# This file is part of Parabola Libretools.
#
# Libretools is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 2 of the License, or
# (at your option) any later version.
#
# Libretools is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

include $(dir $(lastword $(MAKEFILE_LIST)))/../../config.mk
include $(topsrcdir)/build-aux/Makefile.head.mk

libretools.out.bins     = librefetch
libretools.out.confs    = $(libretools.src.conf)
libretools.out.libexecs =                                         $(filter librefetchdir/%,$(libretools.src.exec))
libretools.out.libs     = $(filter-out $(libretools.out.libexecs),$(filter librefetchdir/%,$(libretools.src.git)))
libretools.pots         = $(libretools.out.bins)
libretools.out          = makepkg-librefetch.conf

files.sys.$(libretools.pkg) += /etc/makepkg.conf.d/librefetch.conf

$(outdir)/makepkg-librefetch.conf: $(var.)bindir

$(DESTDIR)/etc/makepkg.conf.d/librefetch.conf: $(outdir)/makepkg-librefetch.conf
	install -T -Dm644 '$<' '$@'

include $(topsrcdir)/build-aux/Makefile.tail.mk
