=== test/fixtures/toru/libre/simple/PKGBUILD ===
pkgname='simple'
pkgver=1.0
license=('GPL')
url='https://parabola.nu'

pkgrel=1
arch=(any)

package() {
  :
}
