=== test/fixtures/toru/libre/split-base/PKGBUILD ===
pkgbase=split-base
pkgname=(FOO BAR BAZ)
pkgver=1.0
license=('GPL')
url='https://parabola.nu'

pkgrel=1
arch=(any)

package_FOO() {
  :
}

package_BAR() {
  :
}

package_BAZ() {
  :
}
