=== test/fixtures/toru/libre/split/PKGBUILD ===
pkgname=(foo bar baz)
pkgver=1.0
license=('GPL')
url='https://parabola.nu'

pkgrel=1
arch=(any)

package_foo() {
  :
}

package_bar() {
  :
}

package_baz() {
  :
}
